# Uses of Enum Class
org.eclipse.emf.cdo.server.IRepositoryProtector.RevisionAuthorizer.Operation

Packages that use IRepositoryProtector.RevisionAuthorizer.Operation
Package
Description
org.eclipse.emf.cdo.server
Server concepts for dealing with repositories and stores.

## Uses of IRepositoryProtector.RevisionAuthorizer.Operation in org.eclipse.emf.cdo.server

Methods in org.eclipse.emf.cdo.server that return IRepositoryProtector.RevisionAuthorizer.Operation
Modifier and Type
Method
Description
`final IRepositoryProtector.RevisionAuthorizer.Operation`
IRepositoryProtector.RevisionAuthorizer.`getOperation()`
`static IRepositoryProtector.RevisionAuthorizer.Operation`
IRepositoryProtector.RevisionAuthorizer.Operation.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static IRepositoryProtector.RevisionAuthorizer.Operation[]`
IRepositoryProtector.RevisionAuthorizer.Operation.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.eclipse.emf.cdo.server with parameters of type IRepositoryProtector.RevisionAuthorizer.Operation
Modifier and Type
Method
Description
`final void`
IRepositoryProtector.RevisionAuthorizer.`setOperation(IRepositoryProtector.RevisionAuthorizer.Operation operation)`